#!/bin/sh

a= . install2-init-functions

LIGHTDM_STATE_DIR=/var/lib/ldm
LIGHTDM_STATE_FILE=$LIGHTDM_STATE_DIR/.config/state-kde
LIGHTDM_STATE_FILE_DIR=`dirname $LIGHTDM_STATE_FILE`
LIGHTDM_AUTOLOGIN_FILE=/etc/lightdm/lightdm.conf.d/autologin.conf
LIGHTDM_CONF=/etc/lightdm/lightdm.conf
WAYLAND_SESSION=/usr/share/wayland-sessions/plasmawayland.desktop
WAYLAND_SESSION_NAME=`basename $WAYLAND_SESSION | cut -d '.' -f1`

# setup lightdm if exists
if [ -d $destdir/$LIGHTDM_STATE_DIR ] ; then
    # create state file if not exists
    if ! [ -f "$destdir/$LIGHTDM_STATE_FILE" ] ; then
	if [ "$LIGHTDM_STATE_FILE_DIR" != "$LIGHTDM_STATE_DIR" ] ; then
	    mkdir -p -m 0750 $destdir/$LIGHTDM_STATE_FILE_DIR ||:
	fi
	echo "" >$destdir/$LIGHTDM_STATE_FILE ||:
	chmod 0600 $destdir/$LIGHTDM_STATE_FILE ||:
	exec_chroot chown -R _ldm:_ldm $LIGHTDM_STATE_DIR ||:
    fi

    # setup "lightdm" section
    grep -q '^\[lightdm\]' $destdir/$LIGHTDM_STATE_FILE \
	|| echo "[lightdm]" >>$destdir/$LIGHTDM_STATE_FILE

    # setup first system user to lightdm default
    FIRST_USER=`exec_chroot id -n -u 1000`
    [ -n "$FIRST_USER" ] || FIRST_USER=`exec_chroot id -n -u 500`
    [ -n "$FIRST_USER" ] || FIRST_USER=`exec_chroot id -n -u 1001`
    [ -n "$FIRST_USER" ] || FIRST_USER=`exec_chroot id -n -u 501`
    if [ -n "$FIRST_USER" ] ; then
	echo -e "lastUser=$FIRST_USER" >>$destdir/$LIGHTDM_STATE_FILE ||:
    fi

    # set wayland for tablet
    if [ -f $destdir/$WAYLAND_SESSION ] \
	&& [ -x $destdir/usr/bin/maliit-keyboard ] \
	#
    then
	if [ -f $destdir/$LIGHTDM_CONF ] ; then
	    sed -i "s|^#*user-session=.*|user-session=$WAYLAND_SESSION_NAME|" $destdir/$LIGHTDM_CONF
	fi
	if [ -f $destdir/$LIGHTDM_AUTOLOGIN_FILE ] ; then
	    sed -i "s|^autologin-session=.*|autologin-session=$WAYLAND_SESSION_NAME|" $destdir/$LIGHTDM_AUTOLOGIN_FILE
	fi
    fi
fi
